// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

package com.volcengine.reactnative.vertc;

import com.volcengine.VolcApiEngine.IVeEngine;
import com.volcengine.VolcApiEngine.VolcApiEngine;

public class VertcApiEngineManager implements IVeEngine {
  static public VertcApiEngineManager instance = new VertcApiEngineManager();

  public VertcModule vertcModule;
  
  @Override
  public VolcApiEngine getApiEngine() {
    if (vertcModule == null) {
      return null;
    }
    return vertcModule.apiEngine;
  }

  public void init(VertcModule module) {
    vertcModule = module;
  }
}
