// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

package com.volcengine.reactnative.vertc;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;

public abstract class VertcModuleSpec extends ReactContextBaseJavaModule {
  public static final String NAME = "VertcModule";
  static final String EVENT = "VertcModule:onEvent";

  VertcModuleSpec(ReactApplicationContext context) {
    super(context);
    this.context = context;
  }
  
  public  ReactApplicationContext context;

  public abstract void OnEvent(String eventName, String data);
}
