// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT


//
//  VertcApiEngine.m
//
#import <Foundation/Foundation.h>
#import "VertcApiEngine.h"

@implementation VertcApiEngine : NSObject

static VertcApiEngine *instance = nil;

+ (instancetype) sharedInstance {
    if (instance == nil) {
        instance = [[VertcApiEngine alloc] init];
    }
    return instance;
}

- (VolcApiEngine *) getApiEngine;
{
    return self.apiEngine;
}

@end

