// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

//
//  VodVideoProcessor.h
//  FeedShareDemo
//
//  Created by ByteDance on 2022/8/8.
//

#import <Foundation/Foundation.h>

@class ByteRTCVideo;

@interface VodVideoProcessor : NSObject

/// Initialize
/// @param rtcKit ByteRTCEngineKit
- (instancetype)initWithRTCKit:(ByteRTCVideo *)rtcKit;

/// Process video
/// @param frame Video pixel buffer
/// @param timestamp Timestamp
- (void)processVideo:(CVPixelBufferRef)frame timestamp:(int64_t)timestamp;

@end
