// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

export type id<T = any> = T;
export type BOOL = boolean;
export type bool = boolean;
export type int = number;
export type long = number;
export type float = number;
export type int64_t = number;
export type double = number;
export type dispatch_queue_t = any;
export type NSString = string;
export type NSMutableString = string;
export type NSInteger = number;
export type NSUInteger = number;
export type NSNumber = number;
export type NSValue = number;
export type NSNull = null;
export type NSArray<T = any> = Array<T>;
export type NSMutableArray<T = any> = Array<T>;
export type NSObject<T = any> = T;
export type NSDictionary<K extends keyof any = any, V = any> = {
    [P in K]: V;
};
export type NSMutableDictionary = Object;
export type NSDate = Date;
export type NSData = ArrayBuffer;
export type NSURL = string;
export type NSError = {
    code: number;
    domain: string;
};
export type NSTimeInterval = number;
export type UIImage = unknown;
export type CVPixelBufferRef = any;
export type CMSampleBufferRef = any;
export type CMTime = number;
export type GLuint = number;
export type CGFloat = number;
export type SInt64 = number;
export type intptr_t = any;
export type uint32_t = number;
export type uint8_t = number;
export type longlong = number;
export type CGPoint = any;
export type CGRect = any;
export type CGSize = any;
export type EAGLContext = any;
