// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

import { RTCRoom, RTCVideo, IAudioEffectPlayer, IMediaPlayer } from './codegen/pack';
import { IEngine, IRoom, I_AudioEffectPlayer, I_MediaPlayer } from './interface';
export declare const proxyEngine: (engine: RTCVideo | IEngine) => IEngine;
export declare const proxyRoom: (room: RTCRoom | IRoom) => IRoom;
export declare const proxyAudioEffectPlayer: (audioEffectPlayer: IAudioEffectPlayer | I_AudioEffectPlayer) => I_AudioEffectPlayer;
export declare const proxyMediaPlayer: (mediaPlayer: IMediaPlayer | I_MediaPlayer) => I_MediaPlayer;
