// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

//
//  VertcModule.h
//

#import <Foundation/Foundation.h>
#import <React/RCTBridgeModule.h>
#import <React/RCTEventEmitter.h>
#import "VolcApiEngine/Engine.h"

@interface RCTVertcModule : RCTEventEmitter <RCTBridgeModule>

@property(nonatomic, strong) VolcApiEngine *volcApiEngine;

+ (instancetype)shareInstance;

@end
