// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

export type INormalFunction<T> = () => T;
/** {en}
 * @brief Request user to start screen capture
 */
export declare const requestScreenCapture: () => Promise<import("./platforms/android/extends").ScreenIntent | undefined>;
export declare const isAndroid: () => boolean;
export declare const isIOS: () => boolean;
export declare const platformBriefs: <T>({ android, ios, }: {
    android: INormalFunction<T>;
    ios: INormalFunction<T>;
}) => T;
export declare const platformBriefsSync: <T>({ android, ios, }: {
    android: INormalFunction<T>;
    ios: INormalFunction<T>;
}) => Promise<T>;
